## org.eclipse.emf.ecore.impl
Class EStoreEObjectImpl.EStoreFeatureMap

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              org.eclipse.emf.common.util.DelegatingEList<E>
                  org.eclipse.emf.common.notify.impl.DelegatingNotifyingListImpl<E>
                      org.eclipse.emf.ecore.util.DelegatingNotifyingInternalEListImpl<E>
                          org.eclipse.emf.ecore.util.DelegatingEcoreEList<FeatureMap.Entry>
                              org.eclipse.emf.ecore.util.DelegatingFeatureMap
                                  org.eclipse.emf.ecore.impl.EStoreEObjectImpl.BasicEStoreFeatureMap
                                      org.eclipse.emf.ecore.impl.EStoreEObjectImpl.EStoreFeatureMap

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<FeatureMap.Entry>, java.util.Collection<FeatureMap.Entry>, java.util.List<FeatureMap.Entry>, NotifyingList<FeatureMap.Entry>, EList<FeatureMap.Entry>, EStructuralFeature.Setting, FeatureMap, FeatureMap.Internal, FeatureMap.Internal.Wrapper, InternalEList<FeatureMap.Entry>, InternalEList.Unsettable<FeatureMap.Entry>

Enclosing class:
  EStoreEObjectImpl

    public static class EStoreEObjectImpl.EStoreFeatureMap

extends EStoreEObjectImpl.BasicEStoreFeatureMap

A feature map that delegates to a store.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.util.DelegatingFeatureMap
`DelegatingFeatureMap.FeatureEIterator<E>, DelegatingFeatureMap.FeatureMapEObjectImpl, DelegatingFeatureMap.ResolvingFeatureEIterator<E>, DelegatingFeatureMap.ValueListIteratorImpl<E>`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.util.DelegatingEcoreEList
`DelegatingEcoreEList.Dynamic<E>, DelegatingEcoreEList.Generic<E>, DelegatingEcoreEList.UnmodifiableEList<E>, DelegatingEcoreEList.Unsettable<E>`

Nested classes/interfaces inherited from class org.eclipse.emf.common.util.DelegatingEList
`DelegatingEList.EIterator<E1>, DelegatingEList.EListIterator<E1>, DelegatingEList.NonResolvingEIterator<E1>, DelegatingEList.NonResolvingEListIterator<E1>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.util.FeatureMap.Internal
`FeatureMap.Internal.Wrapper`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.util.FeatureMap
`FeatureMap.Entry, FeatureMap.Internal, FeatureMap.ValueListIterator<E>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.util.InternalEList
`InternalEList.Unsettable<E>`

Field Summary
`protected InternalEObject.EStore` `store`

Fields inherited from class org.eclipse.emf.ecore.util.DelegatingFeatureMap
`eStructuralFeature, featureMapValidator, wrapper`

Fields inherited from class org.eclipse.emf.ecore.util.DelegatingEcoreEList
`owner`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`EStoreEObjectImpl.EStoreFeatureMap(InternalEObject owner, EStructuralFeature eStructuralFeature, InternalEObject.EStore store)`

Method Summary
`protected InternalEObject.EStore` `eStore()`

Methods inherited from class org.eclipse.emf.ecore.impl.EStoreEObjectImpl.BasicEStoreFeatureMap
`delegateAdd, delegateAdd, delegateBasicList, delegateClear, delegateContains, delegateContainsAll, delegateGet, delegateHashCode, delegateIndexOf, delegateIsEmpty, delegateIterator, delegateLastIndexOf, delegateList, delegateListIterator, delegateMove, delegateRemove, delegateSet, delegateSize, delegateToArray, delegateToArray, delegateToString, getEStructuralFeature`

Methods inherited from class org.eclipse.emf.ecore.util.DelegatingFeatureMap

`add, add, add, add, add, addAll, addAll, addAll, addAll, addAll, addAllUnique, addAllUnique, addAllUnique, addUnique, addUnique, addUnique, addUnique, basicAdd, basicContains, basicContainsAll, basicIndexOf, basicIterator, basicLastIndexOf, basicList, basicListIterator, basicListIterator, basicRemove, basicRemove, basicToArray, basicToArray, canContainNull, clear, contains, contains, containsAll, createEntry, createNotification, createRawEntry, doAdd, doAdd, doAddAll, doAddAll, doSet, entryIndex, featureMap, get, get, getEStructuralFeature, getFeatureType, getModCount, getValue, getWrapper, hasInverse, hasShadow, indexOf, indexOf, inverseAdd, inverseRemove, inverseTouch, isEmpty, isEObject, isMany, isResolveProxies, isSet, isUnique, iterator, lastIndexOf, lastIndexOf, list, listIterator, listIterator, move, move, move, remove, remove, removeAll, resolveProxy, resolveProxy, retainAll, set, set, set, set, setting, setUnique, setValue, setWrapper, shadowAdd, shadowRemove, shadowSet, shouldUnset, size, toArray, toArray, toArray, toArray, unset, validate, valueListIterator, valueListIterator`

Methods inherited from class org.eclipse.emf.ecore.util.DelegatingEcoreEList
`contains, createNotification, createNotification, dispatchNotification, get, getEObject, getFeature, getFeatureID, getInverseEReference, getInverseFeatureClass, getInverseFeatureID, getNotifier, hasInstanceClass, hasManyInverse, hasNavigableInverse, hasProxies, indexOf, isContainment, isInstance, isNotificationRequired, isSet, lastIndexOf, resolve, resolve, toArray, toArray, unset`

Methods inherited from class org.eclipse.emf.ecore.util.DelegatingNotifyingInternalEListImpl
`basicContains, basicContainsAll, basicGet, basicIndexOf, basicIterator, basicLastIndexOf, basicList, basicListIterator, basicListIterator, basicToArray, basicToArray`

Methods inherited from class org.eclipse.emf.common.notify.impl.DelegatingNotifyingListImpl
`addAllUnique, addAllUnique, addAllUnique, addUnique, basicAdd, basicSet, clear, createNotification, createNotificationChain, doAddAllUnique, doAddAllUnique, doAddAllUnique, doAddAllUnique, doAddUnique, doAddUnique, doClear, doMove, doRemove, doRemoveAll, doSetUnique, getFeatureID, remove, removeAll, setUnique`

Methods inherited from class org.eclipse.emf.common.util.DelegatingEList
`containsAll, delegateEquals, didAdd, didChange, didClear, didMove, didRemove, didSet, doClear, equalObjects, equals, get, getDuplicates, getNonDuplicates, hashCode, isEmpty, iterator, listIterator, listIterator, move, remove, retainAll, size, toString, useEquals`

Methods inherited from class java.util.AbstractList
`removeRange, subList`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.util.FeatureMap.Internal
`getEObject`

Methods inherited from interface org.eclipse.emf.common.util.EList
`move`

Methods inherited from interface java.util.List
`clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, size, subList, toArray, toArray`

Methods inherited from interface org.eclipse.emf.ecore.util.InternalEList
`addAllUnique, addUnique, basicAdd, basicContains, basicContainsAll, basicGet, basicIndexOf, basicIterator, basicLastIndexOf, basicList, basicListIterator, basicListIterator, basicToArray, basicToArray, setUnique`

Methods inherited from interface org.eclipse.emf.common.util.EList
`move`

Methods inherited from interface java.util.List
`clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, size, subList, toArray, toArray`

Methods inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Setting
`get, isSet, unset`

Field Detail

### store

    protected final InternalEObject.EStore store

Constructor Detail

### EStoreEObjectImpl.EStoreFeatureMap

    public EStoreEObjectImpl.EStoreFeatureMap(InternalEObject owner,
                                              EStructuralFeature eStructuralFeature,
                                              InternalEObject.EStore store)

Method Detail

### eStore

    protected InternalEObject.EStore eStore()

  Overrides:
    `eStore` in class `EStoreEObjectImpl.BasicEStoreFeatureMap`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.